Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.application6
Interface ApplicationType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ApplicationTypeImpl

    public interface ApplicationType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `applicationType` xsd type

Original Documentation:

The applicationType defines the structure of the
application.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`DataSourceType<ApplicationType<T>>` | `dataSource()` Returns the `data-source` element
`EjbLocalRefType<ApplicationType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<ApplicationType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<ApplicationType<T>>` | `envEntry()` Returns the `env-entry` element
`java.lang.String` | `getApplicationName()` Returns the `application-name` element
`java.util.List<DataSourceType<ApplicationType<T>>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<ApplicationType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<ApplicationType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<ApplicationType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<IconType<ApplicationType<T>>>` | `getIconList()` Returns all `icon` elements
`GenericBooleanType` | `getInitializeInOrder()` Returns the `initialize-in-order` element
`java.lang.String` | `getInitializeInOrderAsString()` Returns the `initialize-in-order` element
`java.lang.String` | `getLibraryDirectory()` Returns the `library-directory` element
`java.util.List<MessageDestinationType<ApplicationType<T>>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MessageDestinationRefType<ApplicationType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<ModuleType<ApplicationType<T>>>` | `getModuleList()` Returns all `module` elements
`java.util.List<PersistenceContextRefType<ApplicationType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<ApplicationType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<ResourceEnvRefType<ApplicationType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<ApplicationType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityRoleType<ApplicationType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<ApplicationType<T>>` | `icon()` Returns the `icon` element
`MessageDestinationType<ApplicationType<T>>` | `messageDestination()` Returns the `message-destination` element
`MessageDestinationRefType<ApplicationType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`ModuleType<ApplicationType<T>>` | `module()` Returns the `module` element
`PersistenceContextRefType<ApplicationType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<ApplicationType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`ApplicationType<T>` | `removeAllDataSource()` Removes all `data-source` elements
`ApplicationType<T>` | `removeAllDescription()` Removes the `description` element
`ApplicationType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ApplicationType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`ApplicationType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`ApplicationType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`ApplicationType<T>` | `removeAllIcon()` Removes all `icon` elements
`ApplicationType<T>` | `removeAllMessageDestination()` Removes all `message-destination` elements
`ApplicationType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`ApplicationType<T>` | `removeAllModule()` Removes all `module` elements
`ApplicationType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`ApplicationType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`ApplicationType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`ApplicationType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`ApplicationType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`ApplicationType<T>` | `removeApplicationName()` Removes the `application-name` element
`ApplicationType<T>` | `removeLibraryDirectory()` Removes the `library-directory` element
`ApplicationType<T>` | `removeVersion()` Removes the `version` attribute
`ResourceEnvRefType<ApplicationType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<ApplicationType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityRoleType<ApplicationType<T>>` | `securityRole()` Returns the `security-role` element
`ApplicationType<T>` | `setApplicationName(java.lang.String applicationName)` If not already created, a new `application-name` element with the given value will be created.
`ApplicationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ApplicationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ApplicationType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ApplicationType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ApplicationType<T>` | `setInitializeInOrder(GenericBooleanType initializeInOrder)` If not already created, a new `initialize-in-order` element with the given value will be created.
`ApplicationType<T>` | `setInitializeInOrder(java.lang.String initializeInOrder)` If not already created, a new `initialize-in-order` element with the given value will be created.
`ApplicationType<T>` | `setLibraryDirectory(java.lang.String libraryDirectory)` If not already created, a new `library-directory` element with the given value will be created.
`ApplicationType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ApplicationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ApplicationType`

### setDescriptionList

    ApplicationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ApplicationType`

### removeAllDescription

    ApplicationType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ApplicationType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    ApplicationType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `ApplicationType`

### setDisplayNameList

    ApplicationType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ApplicationType`

### removeAllDisplayName

    ApplicationType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `ApplicationType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    ApplicationType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `ApplicationType`

### icon

    IconType<ApplicationType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<ApplicationType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### setApplicationName

    ApplicationType<T> setApplicationName(java.lang.String applicationName)

  If not already created, a new `application-name` element with the given value will be created. Otherwise, the existing `application-name` element will be updated with the given value.

  Returns:
    the current instance of `ApplicationType`

### removeApplicationName

    ApplicationType<T> removeApplicationName()

  Removes the `application-name` element

  Returns:
    the current instance of `ApplicationType`

### getApplicationName

    java.lang.String getApplicationName()

  Returns the `application-name` element

  Returns:
    the node defined for the element `application-name`

### setInitializeInOrder

    ApplicationType<T> setInitializeInOrder(GenericBooleanType initializeInOrder)

  If not already created, a new `initialize-in-order` element with the given value will be created. Otherwise, the existing `initialize-in-order` element will be updated with the given value.

  Returns:
    the current instance of `ApplicationType`

### setInitializeInOrder

    ApplicationType<T> setInitializeInOrder(java.lang.String initializeInOrder)

  If not already created, a new `initialize-in-order` element with the given value will be created. Otherwise, the existing `initialize-in-order` element will be updated with the given value.

  Returns:
    the current instance of `ApplicationType`

### getInitializeInOrder

    GenericBooleanType getInitializeInOrder()

  Returns the `initialize-in-order` element

  Returns:
    the node defined for the element `initialize-in-order`

### getInitializeInOrderAsString

    java.lang.String getInitializeInOrderAsString()

  Returns the `initialize-in-order` element

  Returns:
    the node defined for the element `initialize-in-order`

### removeAllModule

    ApplicationType<T> removeAllModule()

  Removes all `module` elements

  Returns:
    the current instance of `ApplicationType`

### module

    ModuleType<ApplicationType<T>> module()

  Returns the `module` element

  Returns:
    the node defined for the element `module`

### getModuleList

    java.util.List<ModuleType<ApplicationType<T>>> getModuleList()

  Returns all `module` elements

  Returns:
    list of `module`

### removeAllSecurityRole

    ApplicationType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Returns:
    the current instance of `ApplicationType`

### securityRole

    SecurityRoleType<ApplicationType<T>> securityRole()

  Returns the `security-role` element

  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    java.util.List<SecurityRoleType<ApplicationType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Returns:
    list of `security-role`

### setLibraryDirectory

    ApplicationType<T> setLibraryDirectory(java.lang.String libraryDirectory)

  If not already created, a new `library-directory` element with the given value will be created. Otherwise, the existing `library-directory` element will be updated with the given value.

  Returns:
    the current instance of `ApplicationType`

### removeLibraryDirectory

    ApplicationType<T> removeLibraryDirectory()

  Removes the `library-directory` element

  Returns:
    the current instance of `ApplicationType`

### getLibraryDirectory

    java.lang.String getLibraryDirectory()

  Returns the `library-directory` element

  Returns:
    the node defined for the element `library-directory`

### removeAllEnvEntry

    ApplicationType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Returns:
    the current instance of `ApplicationType`

### envEntry

    EnvEntryType<ApplicationType<T>> envEntry()

  Returns the `env-entry` element

  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    java.util.List<EnvEntryType<ApplicationType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Returns:
    list of `env-entry`

### removeAllEjbRef

    ApplicationType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `ApplicationType`

### ejbRef

    EjbRefType<ApplicationType<T>> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<ApplicationType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    ApplicationType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `ApplicationType`

### ejbLocalRef

    EjbLocalRefType<ApplicationType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<ApplicationType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    ApplicationType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `ApplicationType`

### resourceRef

    ResourceRefType<ApplicationType<T>> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<ApplicationType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    ApplicationType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `ApplicationType`

### resourceEnvRef

    ResourceEnvRefType<ApplicationType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<ApplicationType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    ApplicationType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `ApplicationType`

### messageDestinationRef

    MessageDestinationRefType<ApplicationType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<ApplicationType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    ApplicationType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Returns:
    the current instance of `ApplicationType`

### persistenceContextRef

    PersistenceContextRefType<ApplicationType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    java.util.List<PersistenceContextRefType<ApplicationType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    ApplicationType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Returns:
    the current instance of `ApplicationType`

### persistenceUnitRef

    PersistenceUnitRefType<ApplicationType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    java.util.List<PersistenceUnitRefType<ApplicationType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Returns:
    list of `persistence-unit-ref`

### removeAllMessageDestination

    ApplicationType<T> removeAllMessageDestination()

  Removes all `message-destination` elements

  Returns:
    the current instance of `ApplicationType`

### messageDestination

    MessageDestinationType<ApplicationType<T>> messageDestination()

  Returns the `message-destination` element

  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    java.util.List<MessageDestinationType<ApplicationType<T>>> getMessageDestinationList()

  Returns all `message-destination` elements

  Returns:
    list of `message-destination`

### removeAllDataSource

    ApplicationType<T> removeAllDataSource()

  Removes all `data-source` elements

  Returns:
    the current instance of `ApplicationType`

### dataSource

    DataSourceType<ApplicationType<T>> dataSource()

  Returns the `data-source` element

  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    java.util.List<DataSourceType<ApplicationType<T>>> getDataSourceList()

  Returns all `data-source` elements

  Returns:
    list of `data-source`

### setVersion

    ApplicationType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `ApplicationType`

### removeVersion

    ApplicationType<T> removeVersion()

  Removes the `version` attribute

  Returns:
    the current instance of `ApplicationType`

### getVersion

    java.lang.String getVersion()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD